# WOK
TKWOK
WOKTools

# WOKTools_StringValue Class Reference

`#include <WOKTools_StringValue.hxx>`

Inheritance diagram for WOKTools_StringValue:

[legend]

## Public Member Functions

Standard_EXPORT | WOKTools_StringValue (const Handle(TCollection_HAsciiString)&astr)
Standard_EXPORT Handle_TCollection_HAsciiString | Value () const
Standard_EXPORT void | SetValue (const Handle(TCollection_HAsciiString)&avalue)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myvalue

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_StringValue::WOKTools_StringValue | ( | const Handle(TCollection_HAsciiString)& | astr | ) |

## Member Function Documentation

Standard_EXPORT const WOKTools_StringValue::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKTools_ReturnValue.

Standard_EXPORT void WOKTools_StringValue::SetValue | ( | const Handle(TCollection_HAsciiString)& | avalue | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKTools_StringValue::Value | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKTools_StringValue::myvalue `[private]`

The documentation for this class was generated from the following file:

- WOKTools_StringValue.hxx